
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSIdentification3Response complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSIdentification3Response"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TxID" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="Results" type="{http://samo.cz/iva/}ArrayOfWSIdentification3Result" minOccurs="0"/&gt;
 *         &lt;element name="Status" type="{http://samo.cz/iva/}WSResultStatus" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSIdentification3Response", propOrder = {
    "txID",
    "results",
    "status"
})
public class WSIdentification3Response {

    @XmlElement(name = "TxID")
    protected Long txID;
    @XmlElement(name = "Results", nillable = true)
    protected ArrayOfWSIdentification3Result results;
    @XmlElement(name = "Status", nillable = true)
    protected WSResultStatus status;

    /**
     * Gets the value of the txID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTxID() {
        return txID;
    }

    /**
     * Sets the value of the txID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTxID(Long value) {
        this.txID = value;
    }

    /**
     * Gets the value of the results property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfWSIdentification3Result }
     *     
     */
    public ArrayOfWSIdentification3Result getResults() {
        return results;
    }

    /**
     * Sets the value of the results property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfWSIdentification3Result }
     *     
     */
    public void setResults(ArrayOfWSIdentification3Result value) {
        this.results = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link WSResultStatus }
     *     
     */
    public WSResultStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSResultStatus }
     *     
     */
    public void setStatus(WSResultStatus value) {
        this.status = value;
    }

    public WSIdentification3Response withTxID(Long value) {
        setTxID(value);
        return this;
    }

    public WSIdentification3Response withResults(ArrayOfWSIdentification3Result value) {
        setResults(value);
        return this;
    }

    public WSIdentification3Response withStatus(WSResultStatus value) {
        setStatus(value);
        return this;
    }

}
